.site .site-content{
    padding: 0;
}

.entry-content{
    position: relative;
}

.woocommerce-form-login,
.woocommerce-form-register{
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.woocommerce .woocommerce-form-login .form-row .woocommerce-Input,
.woocommerce .woocommerce-form-register .form-row .woocommerce-Input{
    border-color: #979797;
    border-radius: unset;
}

.woocommerce-form-login .woocommerce-actions,
.woocommerce-form-register .woocommerce-actions{
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.woocommerce .woocommerce-form-login .form-row,
.woocommerce .woocommerce-form-register .form-row{
    display: flex;
    flex-direction: column;
    padding: 0;
    margin: 0;
}

.woocommerce-form-login .form-row-container,
.woocommerce-form-register .form-row-container{
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.woocommerce .woocommerce-form-login .button,
.woocommerce .woocommerce-form-register .button{
    line-height: 20px;
    padding: 16px 20px;
    text-transform: uppercase;
}

.woocommerce .woocommerce-form-login .woocommerce-form-login__submit{
    margin-right: 0;
}

.woocommerce-form-login .btn-create-account{
    text-align: center;
}

.woocommerce .woocommerce-form-login .form-row label{
    margin-bottom: 8px;
}

.woocommerce .woocommerce-form-register .woocommerce-privacy-policy-text { display: none; }

.woocommerce-form-register wc-order-attribution-inputs { display: contents !important; }
.woocommerce-form-register wc-order-attribution-inputs:empty { display: none !important; }

form.woocommerce-form-register input[type="checkbox"],
form.woocommerce-form-login   input[type="checkbox"]{
    appearance:none; -webkit-appearance:none;
    min-width:20px; height:20px; display:inline-block; vertical-align:middle;
    border:1px solid #000; border-radius:2px; background:#fff; position:relative;
}

/* check visible */
form.woocommerce-form-register input[type="checkbox"]::after,
form.woocommerce-form-login   input[type="checkbox"]::after{
    content:""; position:absolute; left:7px; top:4px;
    width:5px; height:9px;
    border:2px solid #fff;        /* color del tick */
    border-top:0; border-left:0;  /* dibuja la “✓” */
    transform:rotate(45deg) scale(0);
    transition:transform .12s;
}

/* estado marcado: fondo negro + tick blanco */
form.woocommerce-form-register input[type="checkbox"]:checked,
form.woocommerce-form-login   input[type="checkbox"]:checked{
    background:#000;              /* color del cuadrado marcado */
    border-color:#000;
}
form.woocommerce-form-register input[type="checkbox"]:checked::after,
form.woocommerce-form-login   input[type="checkbox"]:checked::after{
    transform:rotate(45deg) scale(1);
}

.woocommerce .woocommerce-form__label-for-checkbox,
.woocommerce .woocommerce-form__label.woocommerce-form__label-for-checkbox {
    display: flex;
    column-gap: 8px;          /* definís el espacio explícitamente */
    line-height: normal;
}

@media (max-width: 1200px) {
    .woocommerce-form-login, .woocommerce-form-register{
        max-width: 100%;
    }
}
